# Endpoints

:link: [Postman Interface Collection Documentation](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#intro)

### Common Fields

* **category:** Type, currently only supports spot - spot trading
* **symbol:** Trading pair
* **market:** Trading pair (planned to be deprecated, it is recommended to use symbol)

### Common Field Explanations for Public Data

1. **"timestamp":** Timestamp in milliseconds as a UNIX timestamp.
2. **"sell":** Selling price.
3. **"buy":** Buying price.
4. **"high":** Highest price.
5. **"low":** Lowest price.
6. **"last":** The latest transaction price, indicating the price of the most recent transaction.
7. **"vol":** Trading volume, indicating the market's trading volume within a certain period before the current record time point.
8. **"last24h":** The average of the latest transaction prices in the past 24 hours.
9. **"high24h":** The highest transaction price in the past 24 hours.
10. **"low24h":** The lowest transaction price in the past 24 hours.
11. **"vol24h":** The total trading volume in the past 24 hours.
12. **"change24h":** 24-hour price fluctuation rate, indicating the percentage change in Bitcoin price over the past 24 hours. A negative number indicates a price drop, e.g., 0.03658904186574487 represents a price drop of approximately 0.0366%.

### **Order Type (type)**

* 0: LIMIT - Limit Order
* 1: MARKET - Market Order
* 2: STOP - Stop Order

### **Order Direction**

* BUY - Buy
* SELL - Sell

### **Order Status (state)**

* NEW
* TRADE
* CANCEL
* PENDING

### **Order Object Example**

```
{
  "trader": "71b0ee42acade6", // apiKey
  "symbol": "ETCUSDT", // Trading pair
  "price": "1200.34", // Price in USD
  "quantity": "0.01", // Actual quantity
  "market": "ETCUSDT",
  "contr": "ETCUSDT", // Contract pair
  "id": 107385577, // Order ID
  "ref": null,
  "type": "LIMIT", // Refer to Order Type
  "state": "NEW", // Refer to Order Status
  "side": "BUY", // Refer to Order Direction
  "lots": 100,
  "ticks": 12003400,
  "resd": 100,
  "exec": 0,
  "cost": 0,
  "lastLots": null,
  "lastTicks": null,
  "created": 1714320731750,
  "modified": 1714320731750
}
```

| **Category**         | **Api**                                     | **Explanation**                                                                                                                               |
| -------------------- | ------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| Basic Infrastructure | Authentication Encryption                   | See above                                                                                                                                     |
|                      | Access Rule                                 | See above                                                                                                                                     |
|                      | WebSocket Data Push                         | To be supplemented                                                                                                                            |
| Market               | Test Server Connection                      | [Test Server Connection](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#f4c5409c-7b6c-43ad-acbd-ba09a15d3c01)                      |
|                      | Tradable Pairs Information                  | [Tradable Pairs Information](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#37b35aa0-c55e-4763-af84-d523a9b494c4)                  |
|                      | Depth                                       | [Depth](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#39b500a7-588a-4bb1-82d4-94cbb0e5115a)                                       |
|                      | Recent Order List                           | [Recent Order List](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#49fe5b82-865a-4950-bb56-f7fe8c5549ae)                           |
|                      | K-Line Data                                 | [K-Line Data](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#243fecdc-3f87-4d65-bc2e-0730fb916c0b)                                 |
|                      | Ticker                                      | [Ticker](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#3cdc6832-7b80-43fd-b625-5f00122336d4)                                      |
|                      | Latest Price                                | [Latest Price](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#e3529a41-24ea-435c-a164-d7b7e60f178c)                                |
| Spot Trading         | Place an Order                              | [Place an Order](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#512cb0ba-2c0d-4816-9822-44673a7789f7)                              |
|                      | Query Order                                 | [Query Order](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#cc87db71-0260-48ec-9fab-5201bb4d1e25)                                 |
|                      | Cancel Order                                | [Cancel Order](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#ee1f14f1-01aa-454a-a244-325be993343a)                                |
|                      | Cancel All Orders for a Single Trading Pair | [Cancel All Orders for a Single Trading Pair](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#f1b6b2ae-c774-4411-ad0b-975eac2e9a8c) |
|                      | Current Open Orders                         | [Current Open Orders](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#29c51c1c-03b0-4195-ac5f-748809396193)                         |
|                      | Query All Orders                            | [Query All Orders](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#dc11e210-a319-4909-b190-2f319c90feb0)                            |
| Spot Account         | Spot Account Information                    | [Spot Account Information](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#468df836-08a8-4f41-913d-03a15a842737)                    |
|                      | Spot Account Balance                        | [Spot Account Balance](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#8006926d-fda7-488f-b1e4-807af5454b74)                        |
|                      | Spot Account Order History                  | [Spot Account Order History](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#154d5d5a-7bb8-4b01-a292-e441f0af3601)                  |
|                      | Query Current Order Count                   | [Query Current Order Count](https://documenter.getpostman.com/view/5975131/2sA3BuXpLQ#38960f4c-d3db-4e2e-a5ac-b39fedd77af7)                   |
|                      | check the transaction fee                   | The makerFee and takerFee fields in Spot Account Information                                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jayx.com/jayx-docs-n8rfmgwto77q5ila/api-docs/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
